<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="unity" type="Microsoft.Practices.Unity.Configuration.UnityConfigurationSection,Unity.Configuration" />
  </configSections>
  <unity>
    <assembly name="FLY.Thick.Base.UI" />
    <namespace name="FLY.Thick.Base.UI" />
    <namespace name="FLY.Thick.Base.UI.OnInit" />
    <alias alias="IJsonDistService" type="FLY.OBJComponents.IService.IJsonDistService, FLY.OBJComponents" />
    <alias alias="JsonDistServiceClient" type="FLY.OBJComponents.Client.JsonDistServiceClient,FLY.OBJComponents" />
    <alias alias="IOnInit" type="MultiLayout.UiModule.IOnInit, MultiLayout" />
    <alias alias="ParamDictionary" type="Misc.ParamDictionary, MISC" />
    <container>
      <register type="ParamDictionary">
        <lifetime type="singleton" />
      </register>
      <register type="PasswordAuthorize">
        <lifetime type="singleton" />
      </register>
      <register type="IOnInit" mapTo="OnInitOSK" name="osk">
        <lifetime type="singleton" />
      </register>
      <register type="IJsonDistService" mapTo="JsonDistServiceClient">
        <lifetime type="singleton" />
        <constructor>
          <param name="serviceId" value="10000" />
          <param name="connName" value="blowing" />
        </constructor>
      </register>
    </container>
  </unity>
</configuration>